<?php

if ( ! function_exists( 'cevian_select_logo_meta_box_map' ) ) {
	function cevian_select_logo_meta_box_map() {
		
		$logo_meta_box = cevian_select_create_meta_box(
			array(
				'scope' => apply_filters( 'cevian_select_filter_set_scope_for_meta_boxes', array( 'page', 'post' ), 'logo_meta' ),
				'title' => esc_html__( 'Logo', 'cevian' ),
				'name'  => 'logo_meta'
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_logo_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Default', 'cevian' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'cevian' ),
				'parent'      => $logo_meta_box
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_logo_image_dark_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Dark', 'cevian' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'cevian' ),
				'parent'      => $logo_meta_box
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_logo_image_light_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Light', 'cevian' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'cevian' ),
				'parent'      => $logo_meta_box
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_logo_image_sticky_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Sticky', 'cevian' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'cevian' ),
				'parent'      => $logo_meta_box
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_logo_image_mobile_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Mobile', 'cevian' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'cevian' ),
				'parent'      => $logo_meta_box
			)
		);
	}
	
	add_action( 'cevian_select_action_meta_boxes_map', 'cevian_select_logo_meta_box_map', 47 );
}